Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class ActionEditorPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iview.AConstructFramePanel
                          ix.iview.ActionEditorPanel

All Implemented Interfaces:
  SchemaTerms, DataChangeListener, FramePanel, ConstructFraming, UIDomainListener, CurrentActionListener, IDESymbols, UndoEditing, VarSpecifier, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class ActionEditorPanel

extends AConstructFramePanel
implements ConstructFraming, java.awt.event.ActionListener, DataChangeListener, UIDomainListener, CurrentActionListener, IDESymbols, SchemaTerms

An editor/viewer panel for refinement structures. The editor has a flag that specifies whether it is in minimal view (true) or in comprehensive view (false).

The editor is created with a minimal flag. Subsequently, the refinement can be set using the setRefinement method.

The editor will not let you update a current refinement yet, because we have not yet worked out how to manage the impact this would have on other modules that use the domain. The editor will let you add new refinements (if you have changed an old one, change the name to save it).

The refinement name, pattern, and comments are currently simply strings. They can all be edited by typing into their fields. The pattern should not stay as a string - it should change into something a bit more constrained. This will be changed when the refinement models have been sorted out.

Sub-activities and constraints can be added, deleted, and cleared, either using the buttons or using keys (enter or insert for add, delete for delete).

Sub-activities are simple LLists for the moment. Adding a sub-activity expects the user to type in a pattern (currently just a string) and it will generate a number for the activity. Deleting sub-activities will also delete any constraints in which the deleted activity participates.

The only constraints currently known are ordering constraints. Adding constraints will bring up an editor that lets the user select activities and time-points. For the moment, these "proper" constraints are translated into simple versions because other modules cannot handle anything more complex. A simple constraint "( )" stands for "( End Before Begin ). The constraint editor and the DomainEditor are ready to provide and manage "proper" constraints, but we will not provide them until other modules can deal with them.

Example code for using the ActionEditorPanel:

        ...
        editorPanel = new ActionEditorPanel(this,isMinimal);
        mainJPanel.add(editorPanel);
        ...

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class ix.iview.AConstructFramePanel
`AConstructFramePanel.FieldValue, AConstructFramePanel.JModifyDialog`

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`ConditionEffectEditor` | `conditionEditor`
`DefaultConstraintEditor` | `constraintEditor`
`DeclarationEditor` | `declarationEditor`
`SpecEditor` | `issueSpecEditor`
`SpecEditor` | `nodeSpecEditor`
`ObjectConstraintEditor` | `objectConstraintEditor`
`OrderingEditor` | `orderingEditor` An editor for temporal relations
`PanelSearcher` | `searcher` An editor for temporal relations

Fields inherited from class ix.iview.AConstructFramePanel
`DEFAULT_SORT, formPanel, hasOverview, mainPanel, parent, scrollPane, switching`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface ix.iview.IDESymbols
`C_ALL, C_CONDITIONS_ONLY, C_CONDITIONS_OTHER, C_NONE, C_ORDER_CONDITIONS, C_ORDER_ONLY, C_ORDER_OTHER, C_OTHER_ONLY, MODE_ADVANCED, MODE_SIMPLE, VIEW_COMPREHENSIVE, VIEW_GRAPHICAL, VIEW_MINIMAL, VIEWS`

Fields inherited from interface ix.icore.domain.SchemaTerms
`O_NONE, O_OTHER, O_PARALLEL, O_SEQUENCE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ActionEditorPanel(DomainEditorFrame theParent)` Creates the editor panel with the given parent.
`ActionEditorPanel(DomainEditorFrame theParent, Symbol view, Symbol constr)` Creates the editor panel with the given parent with the given view and the indicated set of constraints shown.

Method Summary
`void` | `actionChanged(java.awt.Component source, UIRefinement old, UIRefinement newAction)` Implement this method to take note of action selections
`void` | `actionPerformed(java.awt.event.ActionEvent ae)` Wakes up the ActionListener with a user action.
`void` | `addCurrentActionListener(CurrentActionListener cal)`
`boolean` | `beforeClosing()`
`boolean` | `checkConstruct()` User request to check the refinement - not implemented.
`protected boolean` | `clearOrderings()`
`void` | `clearUIConstruct()` Clears the current construct and the panel.
`protected UIObject` | `cloneConstruct(UIObject uiConstruct)`
`void` | `constructAdded(DomainEvent event)`
`void` | `constructAdded(UIDomainEvent event)` Called when a UI construct is added.
`void` | `constructEdited(UIDomainEvent event)` Called when a UI construct is edited.
`void` | `constructRemoved(UIDomainEvent event)` Called when a UI construct is removed.
`void` | `dataChanged(EditableObject object, java.lang.String field, java.lang.Object oldValue, java.lang.Object newValue)`
`void` | `domainCleared(UIDomainEvent event)` Called when the domain is cleared.
`void` | `domainEdited(UIDomainEvent se)` Called when the domain's own fields changed (currently only name).
`void` | `domainSet(UIDomainEvent event)` Called when the domain is added.
`void` | `ensureConditionEditor()`
`void` | `ensureConstraintEditor()`
`void` | `ensureDeclarationEditor()`
`void` | `ensureIssueSpecEditor()`
`void` | `ensureNodeSpecEditor()`
`void` | `ensureObjectConstraintEditor()`
`void` | `ensureRelationEditor()`
`void` | `ensureSearcher()`
`boolean` | `frameActionPerformed(java.awt.event.ActionEvent event)` Recognises panel specific events and processes them.
`Symbol` | `getActivityView()`
`java.util.List` | `getAllConstructs()` Gets a full list of the constructs of the panel's type in the domain.
`java.util.ArrayList` | `getAllExpansions(NodeSpec node)`
`java.util.ArrayList` | `getAllExpansions(UIRefinement ref)`
`Named` | `getNamedConstruct(java.lang.String name)` Gets a named construct of the panel's type from the domain
`boolean` | `getSort()`
`boolean` | `isComprehensive()`
`boolean` | `isSequenceSet()`
`UIObject` | `makeNewConstruct()` User request to make a new action.
`UIRefinement` | `makeNewRefinement(java.lang.String name, LList pattern)`
`void` | `makeParallel()` Puts the nodes of the current refinement in parallel.
`void` | `makeSequence()` Puts the nodes of the current refinement into sequence.
`static java.util.List` | `makeSequence(java.util.List nodes)` Puts the given nodes into sequence.
`protected UIObject` | `noteConstruct()` Note the settings in the editor in a UIObject.
`void` | `noteTextNodes()` Parse the nodes from the text area and store them in the current refinement.
`protected static void` | `notImp(java.lang.String message)`
`static boolean` | `orderingsAreSequential(LList nodes, LList orderings)` Checks whether the orderings are a sequence of the nodes.
`void` | `populatePopup(JObjectPopup popup, java.lang.Object construct)`
`void` | `refresh()`
`protected void` | `resetUIConstruct(UIObject object)` Same as setUIConstruct, but remembers the setting of the miniConstraints
`void` | `setConstraintsView(Symbol constrView)` Changes the fields that are displayed in the form view.
`void` | `setCurrentView(Symbol view)`
`void` | `setDefaultSequence(boolean newSequence)` Sets the flag to put nodes in sequence (true) or in parallel (false) If the state of the checkbox does not correspond to the new setting, it is changed.
`void` | `setOrdering(boolean isSequence)`
`protected void` | `setPanel(ConstructEditing panel)`
`void` | `setSort(boolean sortIt)`
`void` | `setUIConstruct(UIObject object)` Sets the given UI construct to be viewed/edited.
`void` | `setUIConstructOnly(UIObject object)` Sets the given UI construct to be viewed/edited without noting the previous construct.
`void` | `setUIConstructPanel(UIObject object)` Sets the given UI construct in this editor and in the current panel Does not call beforeSwitching.
`protected void` | `setupActionTree()`
`protected javax.swing.JPanel` | `setupMainPanel()` Sets up the main panel in which construct editing will happen.
`void` | `setupPanelProperties(Symbol view, Symbol constr)`
`void` | `updateToolbar(boolean show)`
`void` | `updateTree()`
`void` | `updateTreeSelection()`
`void` | `userDeclareVariables()`
`void` | `userMakeParallel()` User request to put the nodes of the current action in parallel.
`void` | `userMakeSequence()` User request to put the nodes of the current action into sequence.
`void` | `userSearch()`

Methods inherited from class ix.iview.AConstructFramePanel
`addCurrentConstructListener, addUndoListener, addVariableDeclaration, afterSwitching, askModifyDialog, askModifyOptions, beforeOpening, beforeSwitching, canRedo, canUndo, clear, copyConstruct, deleteConstruct, editConstruct, fireConstructChanged, getDomain, getEditingPanel, getMainPanel, getUIConstruct, getUIDomain, getVarsToOffer, hasOverview, newConstruct, noteDraftConstruct, OLDsetUIConstruct, redo, registerListKeys, removeCurrentConstructListener, revertConstruct, revertOConstruct, saveConstruct, search, setConstruct, setUIDomain, setupEditor, setupOuterPanel, undo, undoGetValue, undoSetValue, updateOverview, viewChanges, viewChangesFromOriginal`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface ix.iview.ConstructFraming
`getDomain, getUIDomain, newConstruct, saveConstruct, setConstruct, setUIDomain, viewChanges, viewChangesFromOriginal`

Field Detail

### orderingEditor

    public OrderingEditor orderingEditor

  An editor for temporal relations

### conditionEditor

    public ConditionEffectEditor conditionEditor

### constraintEditor

    public DefaultConstraintEditor constraintEditor

### nodeSpecEditor

    public SpecEditor nodeSpecEditor

### issueSpecEditor

    public SpecEditor issueSpecEditor

### declarationEditor

    public DeclarationEditor declarationEditor

### objectConstraintEditor

    public ObjectConstraintEditor objectConstraintEditor

### searcher

    public PanelSearcher searcher

  An editor for temporal relations

Constructor Detail

### ActionEditorPanel

    public ActionEditorPanel(DomainEditorFrame theParent)

  Creates the editor panel with the given parent. Creates all panel components, the mouse listener, and the relation editor.

  Parameters:
    `parent` - the DomainEditorFrame that the panel belons to. Used mainly to keep toggle buttons and menus in synch

### ActionEditorPanel

    public ActionEditorPanel(DomainEditorFrame theParent,
                             Symbol view,
                             Symbol constr)

  Creates the editor panel with the given parent with the given view and the indicated set of constraints shown. Creates all panel components, the mouse listener, and the relation editor.

  Parameters:
    `parent` - the DomainEditorFrame that the panel belons to. Used mainly to keep toggle buttons and menus in synch
    `view` - a symbol specifying whether the editor is to display its minimal, comprehensive, or graphical view.
    `constr` - a symbol indicating how constraints are shown (orderings, conditions, others)

Method Detail

### setupPanelProperties

    public void setupPanelProperties(Symbol view,
                                     Symbol constr)

### setupMainPanel

    protected javax.swing.JPanel setupMainPanel()

  Description copied from class: `AConstructFramePanel`
  Sets up the main panel in which construct editing will happen. Often, this is a simple wrapper panel that contains a ConstructEditing panel and not much else.

  Specified by:
    `setupMainPanel` in class `AConstructFramePanel`

### setupActionTree

    protected void setupActionTree()

### setPanel

    protected void setPanel(ConstructEditing panel)

### updateToolbar

    public void updateToolbar(boolean show)

### refresh

    public void refresh()

  Specified by:
    `refresh` in class `AConstructFramePanel`

### isComprehensive

    public boolean isComprehensive()

  Returns:
    true if the view is comprehensive, false for minimal and graphical

### getActivityView

    public Symbol getActivityView()

  Returns:
    the current view (minimal/comprehensive/graphical)

### setCurrentView

    public void setCurrentView(Symbol view)

### setConstraintsView

    public void setConstraintsView(Symbol constrView)

  Changes the fields that are displayed in the form view. Currently only changes comprehensive form, but would work for minimal too. Does not check whether the view is different from the previous one.

### isSequenceSet

    public boolean isSequenceSet()

  Returns:
    the current setting of the sequence flag

### setDefaultSequence

    public void setDefaultSequence(boolean newSequence)

  Sets the flag to put nodes in sequence (true) or in parallel (false) If the state of the checkbox does not correspond to the new setting, it is changed. If the editor is already in the given mode, nothing is done. Currently, nothing else changes in the panel

### orderingsAreSequential

    public static boolean orderingsAreSequential(LList nodes,
                                                 LList orderings)

  Checks whether the orderings are a sequence of the nodes.

  Parameters:
    `nodes` - the nodes that can be part of the ordering.
    `orderings` - the orderings to be tested.

### setOrdering

    public void setOrdering(boolean isSequence)

### makeSequence

    public void makeSequence()

  Puts the nodes of the current refinement into sequence.

### makeSequence

    public static java.util.List makeSequence(java.util.List nodes)

  Puts the given nodes into sequence.

### makeParallel

    public void makeParallel()

  Puts the nodes of the current refinement in parallel.

### ensureRelationEditor

    public void ensureRelationEditor()

### ensureConditionEditor

    public void ensureConditionEditor()

### ensureConstraintEditor

    public void ensureConstraintEditor()

### ensureObjectConstraintEditor

    public void ensureObjectConstraintEditor()

### ensureNodeSpecEditor

    public void ensureNodeSpecEditor()

### ensureIssueSpecEditor

    public void ensureIssueSpecEditor()

### ensureDeclarationEditor

    public void ensureDeclarationEditor()

### ensureSearcher

    public void ensureSearcher()

### userSearch

    public void userSearch()

### beforeClosing

    public boolean beforeClosing()

  Overrides:
    `beforeClosing` in class `AConstructFramePanel`

### setUIConstruct

    public void setUIConstruct(UIObject object)

  Sets the given UI construct to be viewed/edited. Also sets the uiConstruct in the current editorPanel

  Specified by:
    `setUIConstruct` in interface `ConstructFraming`
  Overrides:
    `setUIConstruct` in class `AConstructFramePanel`
  Parameters:
    `object` - the UI object to be viewed/edited

### setUIConstructPanel

    public void setUIConstructPanel(UIObject object)

  Sets the given UI construct in this editor and in the current panel Does not call beforeSwitching.

  Overrides:
    `setUIConstructPanel` in class `AConstructFramePanel`
  Parameters:
    `object` - the UI object to be viewed/edited

### setUIConstructOnly

    public void setUIConstructOnly(UIObject object)

  Sets the given UI construct to be viewed/edited without noting the previous construct. Also sets the uiConstruct in the current editorPanel

  Parameters:
    `object` - the UI object to be viewed/edited

### clearUIConstruct

    public void clearUIConstruct()

  Clears the current construct and the panel. Also sets the uiConstruct in the current editorPanel

### makeNewRefinement

    public UIRefinement makeNewRefinement(java.lang.String name,
                                          LList pattern)

### getAllExpansions

    public java.util.ArrayList getAllExpansions(UIRefinement ref)

### getAllExpansions

    public java.util.ArrayList getAllExpansions(NodeSpec node)

### noteConstruct

    protected UIObject noteConstruct()

  Note the settings in the editor in a UIObject. Do not save into doamin.

  Specified by:
    `noteConstruct` in class `AConstructFramePanel`

### resetUIConstruct

    protected void resetUIConstruct(UIObject object)

  Same as setUIConstruct, but remembers the setting of the miniConstraints

### checkConstruct

    public boolean checkConstruct()

  User request to check the refinement - not implemented.

  Specified by:
    `checkConstruct` in interface `ConstructFraming`

### cloneConstruct

    protected UIObject cloneConstruct(UIObject uiConstruct)

  Specified by:
    `cloneConstruct` in class `AConstructFramePanel`

### makeNewConstruct

    public UIObject makeNewConstruct()

  User request to make a new action.

  Specified by:
    `makeNewConstruct` in interface `ConstructFraming`
  Specified by:
    `makeNewConstruct` in class `AConstructFramePanel`

### getAllConstructs

    public java.util.List getAllConstructs()

  Description copied from interface: `ConstructFraming`
  Gets a full list of the constructs of the panel's type in the domain.

  Specified by:
    `getAllConstructs` in interface `ConstructFraming`

### getNamedConstruct

    public Named getNamedConstruct(java.lang.String name)

  Description copied from interface: `ConstructFraming`
  Gets a named construct of the panel's type from the domain

  Specified by:
    `getNamedConstruct` in interface `ConstructFraming`

### userMakeSequence

    public void userMakeSequence()

  User request to put the nodes of the current action into sequence.

### userMakeParallel

    public void userMakeParallel()

  User request to put the nodes of the current action in parallel.

### userDeclareVariables

    public void userDeclareVariables()

### noteTextNodes

    public void noteTextNodes()

  Parse the nodes from the text area and store them in the current refinement.

### clearOrderings

    protected boolean clearOrderings()

### constructAdded

    public void constructAdded(UIDomainEvent event)

  Called when a UI construct is added. Use getSource() to get at the domain (UI/IX) in which the event occurred. Use getObject() to get at the object (UI/IX) that has been added.

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructAdded

    public void constructAdded(DomainEvent event)

  Specified by:
    `constructAdded` in interface `UIDomainListener`

### constructEdited

    public void constructEdited(UIDomainEvent event)

  Called when a UI construct is edited. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been edited.

  Specified by:
    `constructEdited` in interface `UIDomainListener`

### constructRemoved

    public void constructRemoved(UIDomainEvent event)

  Called when a UI construct is removed. Use getSource() to get at the UIDomain in which the event occurred. Use getObject() to get at the UIObject that has been removed.

  Specified by:
    `constructRemoved` in interface `UIDomainListener`

### domainCleared

    public void domainCleared(UIDomainEvent event)

  Description copied from interface: `UIDomainListener`
  Called when the domain is cleared.

  Specified by:
    `domainCleared` in interface `UIDomainListener`

### domainEdited

    public void domainEdited(UIDomainEvent se)

  Description copied from interface: `UIDomainListener`
  Called when the domain's own fields changed (currently only name).

  Specified by:
    `domainEdited` in interface `UIDomainListener`

### domainSet

    public void domainSet(UIDomainEvent event)

  Description copied from interface: `UIDomainListener`
  Called when the domain is added.

  Specified by:
    `domainSet` in interface `UIDomainListener`

### setSort

    public void setSort(boolean sortIt)

  Overrides:
    `setSort` in class `AConstructFramePanel`

### getSort

    public boolean getSort()

  Overrides:
    `getSort` in class `AConstructFramePanel`

### updateTree

    public void updateTree()

### updateTreeSelection

    public void updateTreeSelection()

### addCurrentActionListener

    public void addCurrentActionListener(CurrentActionListener cal)

### actionChanged

    public void actionChanged(java.awt.Component source,
                              UIRefinement old,
                              UIRefinement newAction)

  Description copied from interface: `CurrentActionListener`
  Implement this method to take note of action selections

  Specified by:
    `actionChanged` in interface `CurrentActionListener`
  Parameters:
    `source` - the component that changed the action
    `old` - the previous action
    `newAction` - the new action

### frameActionPerformed

    public boolean frameActionPerformed(java.awt.event.ActionEvent event)

  Recognises panel specific events and processes them. This is a separate method because it must let other event handlers know whether it recognised the event.

  Specified by:
    `frameActionPerformed` in interface `FramePanel`
  Specified by:
    `frameActionPerformed` in interface `ConstructFraming`
  Specified by:
    `frameActionPerformed` in class `AConstructFramePanel`
  Parameters:
    `event` - the event to be processed.
  Returns:
    true if the event was recognised, false if not.

### populatePopup

    public void populatePopup(JObjectPopup popup,
                              java.lang.Object construct)

  Overrides:
    `populatePopup` in class `AConstructFramePanel`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ae)

  Wakes up the ActionListener with a user action. This is called when a KeyStroke or other panel event happens in which the ActionListener registered its interest.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Specified by:
    `actionPerformed` in class `AConstructFramePanel`

### notImp

    protected static void notImp(java.lang.String message)

### dataChanged

    public void dataChanged(EditableObject object,
                            java.lang.String field,
                            java.lang.Object oldValue,
                            java.lang.Object newValue)

  Specified by:
    `dataChanged` in interface `DataChangeListener`
  Overrides:
    `dataChanged` in class `AConstructFramePanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD